Subject: RE: SVRANY/INSTSRV - replacement
From: Andrew Dalgleish <[email-masked]>
To: [email-masked]
Date: Mon, 14 Aug 2000 15:12:26 +1000

> -----Original Message-----
> From:	[email-masked] [SMTP:[email-masked]]
> Sent:	Friday, August 04, 2000 00:24
> To:	[email-masked]
> Cc:	[email-masked]
> Subject:	SVRANY/INSTSRV - replacement
> 
> Hi !
> 
> Corinna wrote:
> > James Dumser wrote:
> > > On Wed, 02 Aug 2000 22:17:37 +0200, Corinna Vinschen wrote:
> >> > I will first upload the patched version now, at least tomorrow.
> >> > Feel free to contact me again then.
> >> 
> >> I'll try your patched version, although I think I'll be switching
> to the
> >> SRVANY procedure once I am able to locate that.
> 
> > Can some kind soul please give a hint where to find INSTSRV/SRVANY
> or
> > a similar product if one doesn't have the NT ResKit?
> 
> I found a URL on Sergej's site (http://www.lexa.ru/sos)
> which points to the "invoker". Here is the URL for that
>    http://innovation.idetix.com/invoker
> I had some troubles with the version 1.51, though.
> Perhaps there is a newer version and you have more luck.
> That's all I can say.
> 
> I am using SVRANY / INSTSRV.EXE here and I have a small batch
> file to update the registry (application name) and to give the
> sshd service a nicer name for the control panel.
> This batch file is not yet using the regtool which is included
> in cygwin but another one (reg.exe - 94 kB).
[Andrew Dalgleish]  

The NT 3.51 reskit INSTSRV and SRVANY work ok with NT4.
You used to be able to get the NT 3.51 reskit for free from MS, but I'm
not sure that you still can.
The cut-down version of NT 4 reskit which is freely available does not
contain srvany or instsrv.
Note: when installing a service using INSTSRV from the NT351 reskit, the
administrator's account must be named "Administrator" because of a
hard-coded string.
You can rename the account to anything after doing the install.

Another alternative which shows great promise is FireDaemon, from
http://www.firedaemon.com/
FireDaemon is not open source, but it is free for your first one hundred
servers, and $1 each after that. :-)
I have only just started using this, but I have not had any problems so
far.
FireDaemon has the ability to automatically restart a service if it
stops, but I have not tried this yet.

Regards,
Andrew Dalgleish

--
Want to unsubscribe from this list?
Send a message to [email-masked]